Read All Snapshots
GET {{apiPath}}/version-control/branches/{{branchId}}/snapshots
The GET /version-control/branches/{{branchId}}/snapshots operation returns a list of all snapshots on the branch specified by the ID in the request URL.
Query parameters
| Query parameter | Description |
|---|---|
|
Specifies the number of pages of results to return. |
|
Specifies the number of results to return per page. |
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff '{{apiPath}}/version-control/branches/{{branchId}}/snapshots' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/version-control/branches/{{branchId}}/snapshots")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{{apiPath}}/version-control/branches/{{branchId}}/snapshots"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("x-user-id", "{{userId}}")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
GET /version-control/branches/{{branchId}}/snapshots HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{apiPath}}/version-control/branches/{{branchId}}/snapshots")
.method("GET", body)
.addHeader("x-user-id", "{{userId}}")
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{apiPath}}/version-control/branches/{{branchId}}/snapshots",
"method": "GET",
"timeout": 0,
"headers": {
"x-user-id": "{{userId}}"
},
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'GET',
'url': '{{apiPath}}/version-control/branches/{{branchId}}/snapshots',
'headers': {
'x-user-id': '{{userId}}'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
url = "{{apiPath}}/version-control/branches/{{branchId}}/snapshots"
payload = {}
headers = {
'x-user-id': '{{userId}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/version-control/branches/{{branchId}}/snapshots');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
$request->setHeader(array(
'x-user-id' => '{{userId}}'
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"
url = URI("{{apiPath}}/version-control/branches/{{branchId}}/snapshots")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"
response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/version-control/branches/{{branchId}}/snapshots")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"pagination": {
"page": 1,
"pageSize": 100,
"totalItems": 3,
"totalPages": 1
},
"data": [
{
"id": "1057e1ea-7da6-419e-b676-9a9ff2f45d5c",
"parentId": "5c400c4e-ac2b-4e08-8f28-d9a25c5f037e",
"state": "UNCOMMITTED",
"commitDetails": {
"userId": null,
"dateTime": null,
"message": null
},
"approvals": [],
"branchId": "bc61eedf-a9c1-4aae-b35f-7df637c403ed"
},
{
"id": "5c400c4e-ac2b-4e08-8f28-d9a25c5f037e",
"parentId": "bb23e640-86e0-4373-ab95-64aaf86b4e9a",
"state": "COMMITTED",
"commitDetails": {
"userId": "admin",
"dateTime": "2024-11-22T19:39:20.150490Z",
"message": "first commit"
},
"approvals": [],
"branchId": "9df2835b-cbbb-4ef9-a20e-ab63c0b6da67"
},
{
"id": "bb23e640-86e0-4373-ab95-64aaf86b4e9a",
"parentId": null,
"state": "COMMITTED",
"commitDetails": {
"userId": "SYSTEM",
"dateTime": "2024-11-19T18:26:14.679206Z",
"message": "SYSTEM BOOTSTRAP"
},
"approvals": [],
"branchId": "62c53d22-f1e1-4507-a208-a983ec5f3e12"
}
]
}